---

# You can install several instances of etherpad on the same server
# They should each get their own ID and port
etherpad_id: 1
# Where etherpad will be installed
etherpad_root_dir: /opt/etherpad_{{ etherpad_id }}
# Unix account under which etherpad will run. The user will be created if it doesn't exist
etherpad_user: etherpad_{{ etherpad_id }}
# Version to deploy
etherpad_version: 1.8.17
# URL from where the archive will be downloaded
etherpad_archive_url: https://github.com/ether/etherpad-lite/archive/{{ etherpad_version }}.tar.gz
# Expected sha256 of the archive, to check the download were OK
etherpad_archive_sha256: 3b51eb0259764669dedfb4d13cdbe8d4a2dea37735fe32941aac39b5def9f99b
# Port on which the service will listen
etherpad_port: 9003
# List of IP/CIDR for which the port will be opened (if iptables_manage == True)
etherpad_src_ip: []

# Etherpad uses a MySQL compatible database
etherpad_db_name: etherpad_{{ etherpad_id }}
etherpad_db_user: etherpad_{{ etherpad_id }}
etherpad_db_port: 3306
etherpad_db_server: "{{mysql_server | default('localhost') }}"
# A random one is generated if not defined, and stored under {{ etherpad_root_dir }}/meta/ansible_dbpass
# etherpad_db_pass: s3cr3t.

# Page title
etherpad_title: Etherpad
# Default theme
etherpad_theme: colibris

# Admin password
# A random one will be created if not defined, and stored under {{ etherpad_root_dir }}/meta/ansible_admin_pass
# etherpad_admin_pass: p@ssw0rd
# The API Key
# A random one will be created if not defined, and stored under {{ etherpad_root_dir }}/meta/ansible_api_key
# etherpad_api_key: 123456

# List of plugins to install
etherpad_plugins_base:
  - adminpads2
  - markdown
etherpad_plugins_extra: []
etherpad_plugins: "{{ etherpad_plugins_base + etherpad_plugins_extra }}"

# If you add the whiteboard plugin, set the URL
# See https://www.npmjs.com/package/ep_whiteboard
# etherpad_wbo_host: wbo.example.org
